import path from 'path';
import { getRelativeUrl } from '../../utilities/file.js';
import { registerHelper } from '../../utilities/template.js';
export function registerAssetHelper(config) {
    const callback = (filename) => {
        const fullPath = path.join(config.outputDir, config.assetFolderName, filename);
        return getRelativeUrl(config, fullPath);
    };
    registerHelper('asset', callback);
}
export function registerThemeHelper(config) {
    const callback = (filename) => {
        const fullPath = path.join(config.outputDir, config.themeFolderName, filename);
        return getRelativeUrl(config, fullPath);
    };
    registerHelper('theme', callback);
}
export function use(...args) {
    const argsToTest = args.slice(0, -1);
    const context = args.slice(-1)[0];
    for (const arg of argsToTest) {
        if (arg) {
            return context.fn(arg);
        }
    }
    return context.inverse('');
}
