import { isExternalLink, normalizePathname } from '../../utilities/file.js';
export default function (options) {
    const opts = {
        className: 'active-link',
        within: 'body',
        ...options
    };
    return {
        transform: (doc, page) => {
            doc.querySelectorAll(opts.within).forEach(el => {
                el.querySelectorAll('a').forEach(link => {
                    if (isExternalLink(link)) {
                        return;
                    }
                    if (normalizePathname(link.pathname) === normalizePathname(page.pathname)) {
                        link.classList.add(opts.className);
                    }
                });
            });
            return doc;
        }
    };
}
