export default function (options) {
    const opts = {
        prefix: '',
        suffix: '',
        skip: () => false,
        ...options
    };
    return {
        transform: (doc, page) => {
            if (opts.skip(page)) {
                return doc;
            }
            const title = doc.querySelector('title');
            if (title) {
                title.innerHTML = `${opts.prefix}${title.innerHTML}${opts.suffix}`;
            }
            return doc;
        }
    };
}
