export default function (options) {
    const opts = {
        className: 'table-scroll',
        styles: {
            maxWidth: '100%',
            overflowX: 'auto'
        },
        within: 'main',
        ...options
    };
    return {
        transform: doc => {
            const tables = [...doc.querySelectorAll('table')];
            tables.forEach(table => {
                const div = doc.createElement('div');
                div.classList.add(opts.className);
                Object.keys(opts.styles ?? {}).forEach(property => {
                    div.style[property] = opts.styles[property];
                });
                table.insertAdjacentElement('beforebegin', div);
                div.append(table);
            });
            return doc;
        }
    };
}
