import path from 'path';
export function getRelativeUrl(config, fullPath) {
    return `/${path.relative(config.outputDir, fullPath)}`;
}
export function getHtmlFilename(config, markdownFilename) {
    const { dir, name } = path.parse(markdownFilename);
    const outDir = path.join(config.outputDir, path.relative(config.inputDir, dir));
    return path.join(outDir, `${name}.html`);
}
export function isExternalLink(link) {
    if (!link.hostname || link.hostname === 'internal')
        return false;
    return true;
}
export function isMarkdownFile(filename) {
    return filename.toLowerCase().endsWith('.md');
}
export function normalizePathname(pathname) {
    pathname = pathname.trim();
    if (!pathname.startsWith('/')) {
        pathname = `/${pathname}`;
    }
    if (pathname.endsWith('/index.html')) {
        pathname = pathname.slice(0, -10);
    }
    return pathname;
}
