export interface DoxicityConfig {
    assetFolderName: string;
    cleanOnPublish: boolean;
    copyAssets: string[];
    data: {
        meta?: {
            title?: string;
            description?: string;
            image?: string;
            favicon?: string;
            logo?: string;
            logoDark?: string;
            primaryColor?: 'gray' | 'red' | 'orange' | 'amber' | 'yellow' | 'lime' | 'green' | 'emerald' | 'teal' | 'cyan' | 'sky' | 'blue' | 'indigo' | 'violet' | 'purple' | 'fuchsia' | 'pink' | 'rose';
            sidebar?: boolean;
            twitterCreator?: string;
        };
        [key: string]: unknown;
    };
    dev: boolean;
    helpers: DoxicityHelper[];
    inputDir: string;
    outputDir: string;
    plugins: DoxicityPlugin[];
    themeFolderName: string;
    url?: string;
}
export interface DoxicityPage {
    pathname: string;
    inputFile: string;
    outputFile: string;
    data: Record<string, unknown>;
}
export interface DoxicityHelper {
    name: string;
    callback: (args: unknown) => string;
}
export interface DoxicityPlugin {
    transform?: (doc: Document, page: DoxicityPage, config: DoxicityConfig) => Document | Promise<Document>;
    afterTransform?: (html: string, page: DoxicityPage, config: DoxicityConfig) => string | Promise<string>;
    afterAll?: (pages: DoxicityPage[], config: DoxicityConfig) => void | Promise<void>;
}
